NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.ScrapDesignBuilder Class Reference

Represents a scrap design builder More...

Inheritance diagram for NXOpen.Tooling.ScrapDesignBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AddonType { Overlap, Overcut, Trimming, UserDefined }
 Specifies the add-on type More...
 
enum  Body { Create, Edit, Addon, Grouping }
 Specifies the operation type of scraps More...
 
enum  DefScrapType { Piercing, Piloting }
 Specifies the definition type of scraps More...
 
enum  EditScrapType {
  Split, Merge, ApplyMinimumRadius, ChangeStation,
  Delete, Update
}
 Specifies the edit type of scraps More...
 
enum  OvercutType {
  NormalType, TangentType, CircularType, RectangularType,
  FilletType
}
 Specifies the over cut type, different type has different parameters More...
 
enum  RemoveType {
  InferScrap, Overlap, Overcut, Trimming,
  Hole, Scrap, All
}
 Specifies the removing type as filter More...
 
enum  ScrapDefPosition { ProjectToStrip, KeepOrigin }
 Specifies the position method of scraps, projecting method is normally used More...
 
enum  ScrapDefType {
  BlankBoundarySketch, HoleBoundary, ClosedCurves, BoundaryLines,
  ExistedSheetBody, ChangeType
}
 Specifies the creation type of scraps More...
 
enum  TrimNumType {
  One, Two, Three, Four,
  Five
}
 Specifies the step of trimming process, the maximum is five More...
 

Public Member Functions

unsafe NXOpen.Point3d GetOvercutPosition ()
 Returns the overcut position, it determines where the overcut sketch will be constrained More...
 
unsafe void ScrapDesignAddon ()
 Method that update the blank layout. More...
 
unsafe void ScrapDesignCreate ()
 Method that update the blank layout. More...
 
unsafe void ScrapDesignEdit ()
 Method that update the blank layout. More...
 
unsafe void ScrapDesignGroup ()
 Method that update the blank layout. More...
 
unsafe void SetOvercutPosition (NXOpen.Point3d overcutPosition)
 Sets the overcut position, it determines where the overcut sketch will be constrained More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.ScrapDesignBuilder.AddonType 
AddonOperation [get, set]
 Returns or sets the add-on operation, which includes overlap, overcut, trimming and user defined More...
 
unsafe bool ApplyColor [get, set]
 Returns or sets the toggle to determine whether the color will be used to all other scraps with the same shape More...
 
unsafe NXOpen.NXColor AssignColor [get, set]
 Returns or sets the color for assigned scrap More...
 
unsafe NXOpen.SelectEdgeList AttachEdge [get]
 Returns the edge that overlap will be attached More...
 
unsafe NXOpen.SelectBody AttachScrap [get]
 Returns the scrap that overlap will be attached More...
 
unsafe NXOpen.ScCollector BoundaryList [get]
 Returns the boundary list served for boundary line method More...
 
unsafe NXOpen.SelectBodyList ChangeColScrap [get]
 Returns the changing color of scrap More...
 
unsafe NXOpen.Section CurveList [get]
 Returns the curve list served for boundary+sketch or close boundaries method More...
 
unsafe int DefStationNum [get, set]
 Returns or sets the defined station number, according to it scraps can be laid out automatically in strip More...
 
unsafe double DoubleA [get, set]
 Returns or sets the double A served as the parameter of overcut More...
 
unsafe double DoubleAngle [get, set]
 Returns or sets the double Angle served as the parameter of overcut More...
 
unsafe double DoubleB [get, set]
 Returns or sets the double B served as the parameter of overcut More...
 
unsafe double DoubleH [get, set]
 Returns or sets the double H served as the parameter of overcut More...
 
unsafe double DoubleR [get, set]
 Returns or sets the double R served as the parameter of overcut More...
 
unsafe double DoubleRf [get, set]
 Returns or sets the double Rf served as the parameter of overcut More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.EditScrapType 
EditMethod [get, set]
 Returns or sets the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating More...
 
unsafe int EditStationNum [get, set]
 Returns or sets the station number to lay out in strip More...
 
unsafe NXOpen.SelectBodyList ExistScrap [get]
 Returns the existed scrap served for exist sheet body method More...
 
unsafe NXOpen.NXColor HoleColor [get, set]
 Returns or sets the hole color More...
 
unsafe double MinRad [get, set]
 Returns or sets the minimum radius to blend sharp corners More...
 
unsafe NXOpen.NXColor OvercutColor [get, set]
 Returns or sets the overcut color More...
 
unsafe NXOpen.SelectEdge OvercutEdge [get]
 Returns the edge that overcut will be attached More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.OvercutType 
OvercutOperation [get, set]
 Returns or sets the overcut operation, which includes normal type, tangent type, circular type and rectangular type More...
 
unsafe NXOpen.NXColor OverlapColor [get, set]
 Returns or sets the overlap color More...
 
unsafe double OverlapWidth [get, set]
 Returns or sets the overlap width More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.DefScrapType 
PierceType [get, set]
 Returns or sets the piercing type, piercing or piloting More...
 
unsafe NXOpen.NXColor PiercingColor [get, set]
 Returns or sets the piercing color More...
 
unsafe NXOpen.NXColor PilotingColor [get, set]
 Returns or sets the piloting color More...
 
unsafe double ProcessFive [get, set]
 Returns or sets the process five More...
 
unsafe double ProcessFour [get, set]
 Returns or sets the process four More...
 
unsafe double ProcessOne [get, set]
 Returns or sets the process one More...
 
unsafe double ProcessThree [get, set]
 Returns or sets the process three More...
 
unsafe double ProcessTwo [get, set]
 Returns or sets the process two More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.RemoveType 
RemoveFilter [get, set]
 Returns or sets the removing filter More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.ScrapDefType 
ScrapMethod [get, set]
 Returns or sets the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.ScrapDefPosition 
ScrapPosition [get, set]
 Returns or sets the scrap position More...
 
unsafe double ScrapTol [get, set]
 Returns or sets the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.Body 
ScrapTypeEnum [get, set]
 Returns or sets the scrap type enum More...
 
unsafe NXOpen.SelectBodyList SecondScrap [get]
 Returns the second scrap to merge with the first one More...
 
unsafe NXOpen.Section SplitCurve [get]
 Returns the splitting curve More...
 
unsafe NXOpen.SelectBodyList SplitScrap [get]
 Returns the scrap to be splitted or merged More...
 
unsafe NXOpen.NXColor TrimmingColor [get, set]
 Returns or sets the trimming color More...
 
unsafe
NXOpen.Tooling.ScrapDesignBuilder.TrimNumType 
TrimNum [get, set]
 Returns or sets the trimming number More...
 
unsafe bool Update [get, set]
 Returns or sets the toggle to determine whether to update or not More...
 
unsafe NXOpen.Section UserAddonCurve [get]
 Returns the user defined add-on curve to create overlap+overcut More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a scrap design builder

To create a new instance of this class, use NXOpen.Tooling.ScrapDesignCollection.CreateScrapDesignBuilder

Default values.

Property Value

AddonOperation

Overlap

ApplyColor

0

DefStationNum

1

DoubleA

0

DoubleAngle

0

DoubleB

0

DoubleH

0

DoubleR

0.2

DoubleRf

0.4

EditMethod

Split

EditStationNum

1

MinRad

0.1

OvercutOperation

NormalType

OverlapWidth

0.1

PierceType

Piercing

ProcessFive

0

ProcessFour

0

ProcessOne

0

ProcessThree

0

ProcessTwo

0

RemoveFilter

InferScrap

ScrapPosition

ProjectToStrip

ScrapTol

0.01

ScrapTypeEnum

Create

Created in NX6.0.0

Member Enumeration Documentation

Specifies the add-on type

Enumerator
Overlap 

Creates overlap

Overcut 

Creates overcut

Trimming 

Creates trimming

UserDefined 

Creates user defined add-on

Specifies the operation type of scraps

Enumerator
Create 

Create operation

Edit 

Edit operation

Addon 

Add-on operation

Grouping 

Grouping operation

Specifies the definition type of scraps

Enumerator
Piercing 

Scrap will be defined as piercing type

Piloting 

Scrap will be defined as piloting type

Specifies the edit type of scraps

Enumerator
Split 

Splits a scrap by selected curves

Merge 

Merges two scraps into one

ApplyMinimumRadius 

Applies minimum radius to sharp corners of scraps

ChangeStation 

Changes the station number of scraps

Delete 

Deletes scraps

Update 

Updates scraps if there is any design change

Specifies the over cut type, different type has different parameters

Enumerator
NormalType 

Creates normal type of overcut

TangentType 

Creates tangent type of overcut

CircularType 

Creates circular type of overcut

RectangularType 

Creates rectangular type of overcut

FilletType 

Creates fillet type of overcut

Specifies the removing type as filter

Enumerator
InferScrap 

Captures inferred scraps

Overlap 

Captures overlaps

Overcut 

Captures overcuts

Trimming 

Captures trimming scraps

Hole 

Captures hole scraps

Scrap 

Captures normal scraps

All 

Captures any kind of scraps

Specifies the position method of scraps, projecting method is normally used

Enumerator
ProjectToStrip 

Scrap will be projected into the strip plane

KeepOrigin 

Scrap will be created in the original plane

Specifies the creation type of scraps

Enumerator
BlankBoundarySketch 

Boundary curves or sketch will be used to create scraps

HoleBoundary 

Hole boundary curves will be extracted automatically to create scraps

ClosedCurves 

Close curves will be used to create scraps

BoundaryLines 

Boundary lines will be used to create an entire scrap

ExistedSheetBody 

Existed sheet body will be converted to scrap

ChangeType 

The type of scrap will be changed between Piercing and Piloting

Specifies the step of trimming process, the maximum is five

Enumerator
One 

Specifies one step of trimming

Two 

Specifies two steps of trimming

Three 

Specifies three steps of trimming

Four 

Specifies four steps of trimming

Five 

Specifies five steps of trimming

Member Function Documentation

unsafe NXOpen.Point3d NXOpen.Tooling.ScrapDesignBuilder.GetOvercutPosition ( )
inline

Returns the overcut position, it determines where the overcut sketch will be constrained

Created in NX6.0.2

License requirements: None.

Returns
Indicates the position to constrain overcut sketch
unsafe void NXOpen.Tooling.ScrapDesignBuilder.ScrapDesignAddon ( )
inline

Method that update the blank layout.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ScrapDesignBuilder.ScrapDesignCreate ( )
inline

Method that update the blank layout.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ScrapDesignBuilder.ScrapDesignEdit ( )
inline

Method that update the blank layout.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ScrapDesignBuilder.ScrapDesignGroup ( )
inline

Method that update the blank layout.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ScrapDesignBuilder.SetOvercutPosition ( NXOpen.Point3d  overcutPosition)
inline

Sets the overcut position, it determines where the overcut sketch will be constrained

Created in NX6.0.2

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
overcutPosition

Property Documentation

unsafe NXOpen.Tooling.ScrapDesignBuilder.AddonType NXOpen.Tooling.ScrapDesignBuilder.AddonOperation
getset

Returns or sets the add-on operation, which includes overlap, overcut, trimming and user defined

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Tooling.ScrapDesignBuilder.ApplyColor
getset

Returns or sets the toggle to determine whether the color will be used to all other scraps with the same shape

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.AssignColor
getset

Returns or sets the color for assigned scrap

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectEdgeList NXOpen.Tooling.ScrapDesignBuilder.AttachEdge
get

Returns the edge that overlap will be attached

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.ScrapDesignBuilder.AttachScrap
get

Returns the scrap that overlap will be attached

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.ScrapDesignBuilder.BoundaryList
get

Returns the boundary list served for boundary line method

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.ScrapDesignBuilder.ChangeColScrap
get

Returns the changing color of scrap

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.ScrapDesignBuilder.CurveList
get

Returns the curve list served for boundary+sketch or close boundaries method

Created in NX6.0.0

License requirements: None.

unsafe int NXOpen.Tooling.ScrapDesignBuilder.DefStationNum
getset

Returns or sets the defined station number, according to it scraps can be laid out automatically in strip

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleA
getset

Returns or sets the double A served as the parameter of overcut

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleAngle
getset

Returns or sets the double Angle served as the parameter of overcut

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleB
getset

Returns or sets the double B served as the parameter of overcut

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleH
getset

Returns or sets the double H served as the parameter of overcut

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleR
getset

Returns or sets the double R served as the parameter of overcut

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.DoubleRf
getset

Returns or sets the double Rf served as the parameter of overcut

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ScrapDesignBuilder.EditScrapType NXOpen.Tooling.ScrapDesignBuilder.EditMethod
getset

Returns or sets the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Tooling.ScrapDesignBuilder.EditStationNum
getset

Returns or sets the station number to lay out in strip

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectBodyList NXOpen.Tooling.ScrapDesignBuilder.ExistScrap
get

Returns the existed scrap served for exist sheet body method

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.HoleColor
getset

Returns or sets the hole color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.MinRad
getset

Returns or sets the minimum radius to blend sharp corners

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.OvercutColor
getset

Returns or sets the overcut color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectEdge NXOpen.Tooling.ScrapDesignBuilder.OvercutEdge
get

Returns the edge that overcut will be attached

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Tooling.ScrapDesignBuilder.OvercutType NXOpen.Tooling.ScrapDesignBuilder.OvercutOperation
getset

Returns or sets the overcut operation, which includes normal type, tangent type, circular type and rectangular type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.OverlapColor
getset

Returns or sets the overlap color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.OverlapWidth
getset

Returns or sets the overlap width

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.DefScrapType NXOpen.Tooling.ScrapDesignBuilder.PierceType
getset

Returns or sets the piercing type, piercing or piloting

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.PiercingColor
getset

Returns or sets the piercing color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.PilotingColor
getset

Returns or sets the piloting color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ProcessFive
getset

Returns or sets the process five

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ProcessFour
getset

Returns or sets the process four

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ProcessOne
getset

Returns or sets the process one

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ProcessThree
getset

Returns or sets the process three

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ProcessTwo
getset

Returns or sets the process two

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.RemoveType NXOpen.Tooling.ScrapDesignBuilder.RemoveFilter
getset

Returns or sets the removing filter

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.ScrapDefType NXOpen.Tooling.ScrapDesignBuilder.ScrapMethod
getset

Returns or sets the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.ScrapDefPosition NXOpen.Tooling.ScrapDesignBuilder.ScrapPosition
getset

Returns or sets the scrap position

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.ScrapDesignBuilder.ScrapTol
getset

Returns or sets the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.Body NXOpen.Tooling.ScrapDesignBuilder.ScrapTypeEnum
getset

Returns or sets the scrap type enum

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectBodyList NXOpen.Tooling.ScrapDesignBuilder.SecondScrap
get

Returns the second scrap to merge with the first one

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.ScrapDesignBuilder.SplitCurve
get

Returns the splitting curve

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.ScrapDesignBuilder.SplitScrap
get

Returns the scrap to be splitted or merged

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.NXColor NXOpen.Tooling.ScrapDesignBuilder.TrimmingColor
getset

Returns or sets the trimming color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.ScrapDesignBuilder.TrimNumType NXOpen.Tooling.ScrapDesignBuilder.TrimNum
getset

Returns or sets the trimming number

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Tooling.ScrapDesignBuilder.Update
getset

Returns or sets the toggle to determine whether to update or not

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.ScrapDesignBuilder.UserAddonCurve
get

Returns the user defined add-on curve to create overlap+overcut

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.